Get System Statistics
curl --request GET \
--url https://api.example.com/cabinet/admin/remnawave/system \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/cabinet/admin/remnawave/system"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/cabinet/admin/remnawave/system', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"system": {
"users_online": 123,
"total_users": 123,
"active_connections": 123,
"nodes_online": 123,
"users_last_day": 123,
"users_last_week": 123,
"users_never_online": 123,
"total_user_traffic": 123
},
"users_by_status": {},
"server_info": {
"cpu_cores": 123,
"cpu_physical_cores": 123,
"memory_total": 123,
"memory_used": 123,
"memory_free": 123,
"memory_available": 123,
"uptime_seconds": 123
},
"bandwidth": {
"realtime_download": 123,
"realtime_upload": 123,
"realtime_total": 123
},
"traffic_periods": {
"last_2_days": {
"current": 123,
"previous": 123,
"difference": "<string>"
},
"last_7_days": {
"current": 123,
"previous": 123,
"difference": "<string>"
},
"last_30_days": {
"current": 123,
"previous": 123,
"difference": "<string>"
},
"current_month": {
"current": 123,
"previous": 123,
"difference": "<string>"
},
"current_year": {
"current": 123,
"previous": 123,
"difference": "<string>"
}
},
"nodes_realtime": [
{}
],
"nodes_weekly": [
{}
],
"last_updated": "2023-11-07T05:31:56Z"
}Cabinet Admin RemnaWave
Get System Statistics
Get full system statistics from RemnaWave.
GET
/
cabinet
/
admin
/
remnawave
/
system
Get System Statistics
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
200 - application/json
Successful Response
Full system statistics response.
System summary statistics.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Server hardware info.
Show child attributes
Show child attributes
Realtime bandwidth statistics.
Show child attributes
Show child attributes
Traffic statistics for multiple periods.
Show child attributes
Show child attributes
⌘I
